New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Wrong supported_tags generation #3472

Closed
xavfernandez opened this Issue Feb 9, 2016 · 0 comments

Comments

Projects
None yet
2 participants
@xavfernandez
Contributor

xavfernandez commented Feb 9, 2016

Initially spotted in #3438.

According to https://www.python.org/dev/peps/pep-0425/#id1 example for cp33 seems to be compatible with py32 but not cp32.
But currently on pip 8.0.2 and python3.4, we are getting:

>>> from pip.pep425tags import supported_tags
>>> supported_tags
[('cp34', 'cp34m', 'linux_x86_64'), ('cp34', 'abi3', 'linux_x86_64'),
('cp34', 'none', 'linux_x86_64'), ('py3', 'none', 'linux_x86_64'),
('cp34', 'none', 'any'), ('cp3', 'none', 'any'), ('cp33', 'none', 'any'),
('cp32', 'none', 'any'), ('cp31', 'none', 'any'), ('cp30', 'none', 'any'),
('py34', 'none', 'any'), ('py3', 'none', 'any'), ('py33', 'none', 'any'),
('py32', 'none', 'any'), ('py31', 'none', 'any'),
('py30', 'none', 'any')]

The pip.pep425tags module should likely be moved to packaging.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment